-- Lesson: Logistic growth - The environment may have a support capacity 
--         and finite resources limit the system growth. 
-- Author: Tiago Carneiro

---------------------------------------------------------------
-- PARAMETER
---------------------------------------------------------------

GROWTH_RATE = 0.35
SUPPORT_CAPACITY = 10 -- try 0.0 	10		100		1000	10000 

---------------------------------------------------------------
-- MODEL
---------------------------------------------------------------

stock  		= 1

function change( stockPast )
	return GROWTH_RATE * stockPast * ( 1 - stockPast/SUPPORT_CAPACITY )
end 

---------------------------------------------------------------
-- SIMULATION
---------------------------------------------------------------

for t = 1, 100 do

	stock = stock + change( stock );
	print( stock )
	
end